org.eclipse.actf.util.httpproxy.proxy

## Interface IHTTPSessionOverrider

    public interface IHTTPSessionOverrider

Interface to override HTTP Session in the proxy

### Method Summary

Methods
`IHTTPRequestMessage` `getSessionRequest()` Return the processed `IHTTPRequestMessage`
`IHTTPResponseMessage` `getSessionResponse()` Return the processed `IHTTPResponseMessage`
`boolean` `replaceRequest(IClientStateManager csm, IHTTPRequestMessage request)` Check if the request is target of this overrider.
`boolean` `replaceResponse(IClientStateManager csm, IHTTPRequestMessage request, IHTTPResponseMessage response, int timeout)`

### Method Detail

#### getSessionRequest

    IHTTPRequestMessage getSessionRequest()

Return the processed `IHTTPRequestMessage`

Returns:
  processed `IHTTPRequestMessage`

#### getSessionResponse

    IHTTPResponseMessage getSessionResponse()

Return the processed `IHTTPResponseMessage`

Returns:
  processed `IHTTPResponseMessage`

#### replaceRequest

    boolean replaceRequest(IClientStateManager csm,
                         IHTTPRequestMessage request)
                           throws IOException

Check if the request is target of this overrider.

Parameters:
  `csm` -
  `request` -
Returns:
Throws:
  `IOException`

#### replaceResponse

    boolean replaceResponse(IClientStateManager csm,
                          IHTTPRequestMessage request,
                          IHTTPResponseMessage response,
                          int timeout)
                            throws IOException,
                                   TimeoutException

Parameters:
  `csm` -
  `request` -
  `response` -
  `timeout` -
Returns:
Throws:
  `IOException`
  `TimeoutException`